Essentially, I want to move a user selected Attribute Block object, to a predetermined UCSW x,y,z coordinate. Currently I have the user select the object, and destination, but I wish to change it so the user just selects the object, and the code will move it to the propper place. The UCSW x,y,z coord will always be the same: (i.e. (-229,226,0)) I have been trying to understand the TranslateCoordinates method. Example: RetVal = object.TranslateCoordinates(OriginalPoint, From, To, Disp[, OCSNormal]) Thanks, Dan Here is a smippet from my code: Dim basePnt As Variant Dim myObj As AcadEntity Dim point1(0 To 2) As Double Dim point2(0 To 2) As Double Dim endPnt As Variant Dim prompt1 As String On Error GoTo Err_Control ThisDrawing.Utility.Prompt vbCrLf & " " & vbCrLf ThisDrawing.Utility.GetEntity myObj, basePnt, "Select Piece:" myObj.Highlight True prompt1 = vbCrLf & "Select Destination point for the Piece: " endPnt = ThisDrawing.Utility.GetPoint(, prompt1) myObj.Move basePnt, endPnt myObj.Rotation = 0 myObj.Update '====cut===